org.apache.xmlbeans.impl.store

## Class Jsr173

- java.lang.Object
- - org.apache.xmlbeans.impl.store.Jsr173

-     public class Jsr173
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Jsr173()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static XMLStreamReader` | `newXmlStreamReader(Cur c, Object src, int off, int cch)`
    `static XMLStreamReader` | `newXmlStreamReader(Cur c, XmlOptions options)`
    `static Node` | `nodeFromStream(XMLStreamReader xs)`
    `static Node` | `nodeFromStreamImpl(org.apache.xmlbeans.impl.store.Jsr173.Jsr173GateWay gw)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Jsr173

          public Jsr173()

  - ### Method Detail

    - #### nodeFromStream

          public static Node nodeFromStream(XMLStreamReader xs)

    - #### nodeFromStreamImpl

          public static Node nodeFromStreamImpl(org.apache.xmlbeans.impl.store.Jsr173.Jsr173GateWay gw)

    - #### newXmlStreamReader

          public static XMLStreamReader newXmlStreamReader(Cur c,
                                                           Object src,
                                                           int off,
                                                           int cch)

    - #### newXmlStreamReader

          public static XMLStreamReader newXmlStreamReader(Cur c,
                                                           XmlOptions options)